ConcessionTransfer
Shows entries of transfers to and from concession stores.
ConcessionTransfer Properties Example of a Concession Transfer
http://URL/api/concessiontransfer
{
"response": {
"Page": 1,
"PageCount": 15,
"RecordsSent": 100,
"RecordsFound": 1488,
"ConcessionTransfer": [
{
"id": 414,
"Reference": "00474",
"Account_Code": "NEWLOOK",
"Store_Code": "NLBorde",
"Brand_Ref": "i.Level",
"Transfer_Date": "2017-05-01T23:00:00.000Z",
"Transfer_Status": "Delivery",
"Total_Quantity": 10,
"Total_Value": 750,
"Number_Cartons": 0,
"Depot_Involved": "Main Warehouse",
"id_Source": 0,
"PO_Reference": "",
"Sent_To_Warehouse_Date": "0000-00-00T00:00:00.000Z",
"Dispatch_Date": "0000-00-00T00:00:00.000Z",
"Items": [
{
"id": 1395,
"Concession_Transfer_id": 414,
"SKU": "STARK1001",
"Article": "Test Item (BLACK)",
"Colour_Number": "001",
"Colour_Name": "BLACK",
"Location": "",
"Total_Quantity": 5,
"Assortment_Multiplier": 0,
"Store_Customer_Code": "NL2/4ge",
"Sell_Price": 10,
"Sell_Currency": "GBP",
"RRP": 50,
"RRP_Currency": "GBP",
"Brand": "i.LEVEL",
"Product_Group": "Blazers",
"Total_Sell": 250,
"No_Barcode_Labels": 0,
"Sizes": [
{
"SKUSize": "STARK1001 A",
"Size": "8",
"Qty": 1,
"SizeSort": 1
},
{
"SKUSize": "STARK1001 B",
"Size": "10",
"Qty": 1,
"SizeSort": 2
},
{
"SKUSize": "STARK1001 C",
"Size": "12",
"Qty": 1,
"SizeSort": 3
},
{
"SKUSize": "STARK1001 D",
"Size": "14",
"Qty": 1,
"SizeSort": 4
},
{
"SKUSize": "STARK1001 E",
"Size": "16",
"Qty": 1,
"SizeSort": 5
}
]
},
{
"id": 1394,
"Concession_Transfer_id": 414,
"SKU": "HULK1001",
"Article": "Transfer Test Item (BLACK)",
"Colour_Number": "001",
"Colour_Name": "BLACK",
"Location": "",
"Total_Quantity": 5,
"Assortment_Multiplier": 0,
"Store_Customer_Code": "NL2/4ge",
"Sell_Price": 0,
"Sell_Currency": "GBP",
"RRP": 100,
"RRP_Currency": "GBP",
"Brand": "i.LEVEL",
"Product_Group": "Blazers",
"Total_Sell": 500,
"No_Barcode_Labels": 0,
"Sizes": [
{
"SKUSize": "HULK1001 A",
"Size": "8",
"Qty": 1,
"SizeSort": 1
},
{
"SKUSize": "HULK1001 B",
"Size": "10",
"Qty": 1,
"SizeSort": 2
},
{
"SKUSize": "HULK1001 C",
"Size": "12",
"Qty": 1,
"SizeSort": 3
},
{
"SKUSize": "HULK1001 D",
"Size": "14",
"Qty": 1,
"SizeSort": 4
},
{
"SKUSize": "HULK1001 E",
"Size": "16",
"Qty": 1,
"SizeSort": 5
}
]
}
]
},
]
}
}
| Property | Example | Description |
|---|---|---|
| id | 414 | Unique ID of the transfer |
| Reference | "00474" | Delivery Reference, links data to ConcessionSale |
| Account_Code | "NEWLOOK" | Host transfer was made to |
| Store_Code | "NLBorde" | Store transfer was made to |
| Brand_Ref | "i.Level" | Brand stock belongs to |
| Transfer_Date | "2017-05-01T23:00:00.000Z" | Date transfer was created |
| Transfer_Status | "Delivery" | Status of the Transfer, Delivery, Dispatched etc. |
| Total_Quantity | 10 | Total quantity of stock in the transfer |
| Total_Value | 750 | Total value od stock in the transfer |
| Number_Cartons | 0 | Number of Cartons transfer is packed into |
| Depot_Involved | "Main Warehouse" Source of the stock | |
| id_Source | 0 | Unique ID of the Depot |
| PO_Reference | "" | ??? |
| Sent_To_Warehouse_Date | "0000-00-00T00:00:00.000Z" | Date used by transfers from Store to Depot |
| Dispatch_Date | "0000-00-00T00:00:00.000Z" | Date dispatched from Warehouse |
| Items | [] | Array of Concession Transfer items see concessiontransferitem resource |
ConcessionTransfer Methods
GET /api/concessiontransfer
ShowZeros Custom Parameter
The ShowZeros parameter can be used to display sizes for the order item that have a zero quantity in them. By default the behaviour is to return only sizes that have a non zero quantity.